Subject: [Gen-art] Gen-ART review of draft-ietf-v6ops-siit-dc-02

From: Christer Holmberg <[email-masked]>
Date: Thu, 17 Sep 2015 07:56:29 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>
Document:                                   draft-ietf-v6ops-siit-dc-02.txt
Reviewer:                                     Christer Holmberg
Review Date:                               17 September 2015
IETF LC End Date:                       22 September 2015
IETF Telechat Date:                   N/A
Summary:                                     The document is well written, and almost ready for publication. However, there are a few editorial nits that I ask the author to address.
Major Issues: None
Minor Issues: None
Editorial Issues:

Section 1 (Introduction):
---------------------------------

Q1_1:

In a few places the 'BR' abbreviation is used, but it is not enhanced until section 2. Please enhance on first occurrence in section 1.

Q1_2:

In a few places the 'BR' abbreviation is used, but it is not enhanced until section 2. Please enhance on first occurrence in section 1.

The text says:

"o  To ensure that that the legacy users' IPv4 addresses remain
      visible to the nodes and applications."

...and:

"This ensures that there is no loss of information; the end-user's IPv4
source address remains available to the application, allowing"

It may be obvious, but would it be possible to somehow make it more clear that the text is not (I assume) talking about the application running on the IPv4 node, but an application running in an IPv6 network?

In other parts of the document it is more clear. E.g. in section 3.1 the text says: "application running on the IPv6-only server",

Section 6 (IANA Considerations):
----------------------------------------

Q6_1: Do we normally remove the section if there are no requests from IANA? Personally I prefer to keep the explicit "This draft makes no request of the IANA." sentence.